GmailSmtpConnector (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.email.GmailSmtpConnector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email
Class GmailSmtpConnector

    java.lang.Object
      org.mule.transport.AbstractConnector
          org.mule.transport.email.AbstractMailConnector
              org.mule.transport.email.SmtpConnector
                  org.mule.transport.email.GmailSmtpConnector

All Implemented Interfaces:
  ExceptionListener, EventListener, javax.resource.spi.work.WorkListener, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject, Connectable, Connector

    public class GmailSmtpConnector

extends SmtpConnector

This class just sets some extra SMTP properties so it works with GMail.

Field Summary

Fields inherited from class org.mule.transport.email.SmtpConnector
`DEFAULT_CONTENT_TYPE, DEFAULT_SMTP_HOST, DEFAULT_SMTP_PORT, SMTP`

Fields inherited from class org.mule.transport.email.AbstractMailConnector
`MAILBOX`

Fields inherited from class org.mule.transport.AbstractConnector
`connected, createMultipleTransactedReceivers, DEFAULT_NUM_CONCURRENT_TX_RECEIVERS, dispatcherFactory, dispatchers, disposed, exceptionListener, initialised, logger, muleContext, name, numberOfConcurrentTransactedReceivers, receivers, requesterFactory, requesters, serviceDescriptor, serviceOverrides, sessionHandler, started, startOnConnect`

Fields inherited from interface org.mule.api.transport.Connector
`INT_VALUE_NOT_SET`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`GmailSmtpConnector()`

Method Summary
`protected void` | `extendPropertiesForSession(Properties global, Properties local, URLName url)` Subclasses should extend this to add further properties.

Methods inherited from class org.mule.transport.email.SmtpConnector
`createReceiver, getBccAddresses, getCcAddresses, getContentType, getCustomHeaders, getDefaultPort, getFromAddress, getProtocol, getReplyToAddresses, getSubject, setBccAddresses, setCcAddresses, setContentType, setCustomHeaders, setFromAddress, setReplyToAddresses, setSubject`

Methods inherited from class org.mule.transport.email.AbstractMailConnector
`doConnect, doDisconnect, doDispose, doInitialise, doStart, doStop, dumpProperties, getAuthenticator, getBaseProtocol, getMailboxFolder, getSessionDetails, newSession, setAuthenticator, setMailboxFolder, urlFromEndpoint`

Methods inherited from class org.mule.transport.AbstractConnector
`checkDisposed, connect, destroyReceiver, disconnect, dispatch, dispose, disposeDispatchers, disposeReceivers, disposeRequesters, disposeWorkManagers, exceptionThrown, fireNotification, getConnectEventId, getConnectionDescription, getDefaultInboundTransformers, getDefaultOutboundTransformers, getDefaultResponseTransformers, getDispatcherFactory, getDispatcherThreadingProfile, getDispatcherWorkManager, getExceptionListener, getMaxDispatchersActive, getMaxRequestersActive, getMessageAdapter, getMuleContext, getName, getNumberOfConcurrentTransactedReceivers, getOutputStream, getReceiver, getReceiverKey, getReceivers, getReceivers, getReceiverThreadingProfile, getReceiverWorkManager, getReplyToHandler, getRequesterFactory, getRequesterThreadingProfile, getRequesterWorkManager, getRetryPolicyTemplate, getScheduler, getServiceDescriptor, getServiceOverrides, getSessionHandler, getSupportedProtocols, handleException, handleException, handleWorkException, initFromServiceDescriptor, initialise, initialiseFromUrl, initWorkManagers, isConnected, isCreateMultipleTransactedReceivers, isDisposed, isEnableMessageEvents, isResponseEnabled, isStarted, isSyncEnabled, isValidateConnections, lookupReceiver, registerListener, registerSupportedProtocol, registerSupportedProtocolWithoutPrefix, request, request, send, setConnected, setCreateMultipleTransactedReceivers, setDispatcherFactory, setDispatcherThreadingProfile, setDynamicNotification, setExceptionListener, setMaxDispatchersActive, setMaxRequestersActive, setMuleContext, setName, setNumberOfConcurrentTransactedReceivers, setReceiverThreadingProfile, setRequesterFactory, setRequesterThreadingProfile, setRetryPolicyTemplate, setServiceOverrides, setSessionHandler, setSupportedProtocols, setupDispatchReturn, setupRequestReturn, setValidateConnections, start, stop, supportsProtocol, toString, unregisterListener, unregisterSupportedProtocol, updateCachedNotificationHandler, validateConnection, workAccepted, workCompleted, workRejected, workStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GmailSmtpConnector

    public GmailSmtpConnector()

Method Detail

### extendPropertiesForSession

    protected void extendPropertiesForSession(Properties global,
                                              Properties local,
                                              URLName url)

  Description copied from class: `AbstractMailConnector`
  Subclasses should extend this to add further properties. Synchronization is managed outside this call (so no need to synchronize further on properties)

  Overrides:
    `extendPropertiesForSession` in class `AbstractMailConnector`
  Parameters:
    `global` - system properties
    `local` - local properties (specific to one session)
    `url` - the endpoint url

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.